#include <bits/stdc++.h>

using namespace std;

vector <int> A;
vector <double> sporne_tacke;
int brs = 0;
void unesi_niz(int n)
{
    int p;
    for(int i = 0; i < n; i++)
    {
        scanf("%d", &p);
        A.push_back(p);
    }
}
void nadji_sporne(int n)
{
    for(int i = 0; i < n-1; i++)
    {
        if(A[i] > A[i+1])
        {
            sporne_tacke.push_back((double)(2*i+1)/2);
            brs++;
        }
    }
}
int prebroj_sporne(int l, int r)
{
    int br = 0;
    for(int i = 0; i < brs; i++)
    {
        if(sporne_tacke[i] > l && sporne_tacke[i] < r)
            br++;
    }
    return br;
}
void proveri_spornost(int q)
{
    int l, r;
    for(int i = 0; i < q; i++)
    {
        scanf("%d %d", &l, &r);
        if(prebroj_sporne(l-1, r-1) > 1)
            printf("NE\n");
        else
            printf("DA\n");
    }
}
int main()
{
    int N, Q;
    scanf("%d", &N);
    unesi_niz(N);
    nadji_sporne(N);
    scanf("%d", &Q);
    proveri_spornost(Q);
    return 0;
}